Append Values to List
POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/list-append
This API enables you to append values to list type properties of your users listed in your User Profiles. If the user with distinct ID doesn't exist, it creates a new user with the provided distinct ID and updates values for all the provided properties.
Note: If a property was not created earlier, it will create a new property and the data type of the property will set to List. For example, if you $append a new property called order_ids=245, it will create the order_ids property with List type and value [245]. A list may contain only unique values, so if a value already exists, and you try to add the same value, it will be ignored.
You can append values with the following data types:
- String: Can be alphanumeric and contain a maximum of 255 characters. Example:
products_order=['iPhone 16 Pro', 'iPad 32 GB']. - Number: Can be an integer or a decimal. Example:
purchase_amount=[23000, 20.34]. - Date: Must be in ISO 8601 format:
YYYY-MM-DDTHH:MM:SS.sssZ. Example:membership_date=2020-10-01T18:30:00.000Zormembership_date=2020-10-01T18:30:00Zormembership_date=2020-10-01T18:30:00.000+05:30ormembership_date=2020-10-01T18:30:00+02:00ormembership_date=2020-10-01.
You can append only one value to a property at a time. Although not recommended, a list property can contain a mix of different data types.
These user properties can be used to filter your users for creating user cohorts and campaigns.
Authorization
AuthorizationrequiredEnter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account
Path Parameters
WSIDrequiredEnter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionrequiredSpecify the version for which you would like to update the user property.
livetestBody
$appendrequiredEnter the property name as JSON key and the numeric or string value to append as JSON value
distinct_idrequiredEnter the distinct ID that you use to identify the recipient.
Response
Request has been accepted and will be processed asynchronously.
request_idrequired